Package net.postgis.jdbc

# Class DriverWrapper.TypesAdder

java.lang.Object
net.postgis.jdbc.DriverWrapper.TypesAdder

Direct Known Subclasses:
  `DriverWrapper.TypesAdder72`, `DriverWrapper.TypesAdder74`, `DriverWrapper.TypesAdder80`

Enclosing class:
  `DriverWrapper`

protected abstract static class DriverWrapper.TypesAdder extends Object
Base class for the three typewrapper implementations

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TypesAdder()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`addBinaryGeometries(Connection conn)`
`abstract void`
`addBoxen(Connection conn)`
`abstract void`
`addGeometries(Connection conn)`
`final void`
`addGT(Connection conn, boolean lw)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TypesAdder

protected TypesAdder()

## Method Details

### addGT

public final void addGT(Connection conn, boolean lw) throws SQLException

Throws:
  `SQLException`

### addGeometries

public abstract void addGeometries(Connection conn) throws SQLException

Throws:
  `SQLException`

### addBoxen

public abstract void addBoxen(Connection conn) throws SQLException

Throws:
  `SQLException`

### addBinaryGeometries

public abstract void addBinaryGeometries(Connection conn) throws SQLException

Throws:
  `SQLException`